Bug 731795 - can't boot after yum update to F16
can't boot after yum update to F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 12:51 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:09:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2011-08-18 12:51:31 EDT
Description of problem:
Kernel panic with error msg like: Can't mount root (0, 0) unknown fs. After deeper investigation I found out that there is no initramfs-3.0.0 in /boot

Tried:

$ dracut initramfs-3.0.0-1.fc16.x86_64.img 3.0.0-1.fc16.x86_64

which complains a lot:

E: FATAL: Could not load /lib/modules/3.0.0-1.fc16.x86_64/modules.dep: No such file or directory
W: Skipping program kexec as it cannot be found and is flagged to be optional

created initramfs-3.0.0-1.fc16.x86_64.img, but significantly smaller than for the previous kernel and still doesn't boot.


Version-Release number of selected component (if applicable):
dracut-011-15.git20110720.noarch
kernel-3.0.0-1.fc16.x86_64

Steps to Reproduce:
1. yum update --releasever=16
2. reboot
Comment 1 Harald Hoyer 2011-08-19 04:41:15 EDT
Well, if /lib/modules/3.0.0-1.fc16.x86_64/modules.dep is missing, then you built your own kernel and forgot "depmod -a" or the kernel image is broken.
Comment 2 Harald Hoyer 2011-08-19 04:45:30 EDT
$ rpm -q kernel-3.0.0-1.fc16.x86_64 --scripts|fgrep depmod
/sbin/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update 3.0.0-1.fc16.x86_64 || exit $?


... so new-kernel-pkg failed to depmod and build the initramfs.
Comment 3 Neil Katin 2011-11-14 13:46:43 EST
I had the same symptoms on my upgrade.  I did a preupgrade script upgrade, but for some reason I was left without an initramfs file.

Extracting the script line from the package (rpm -q kernel-VERSION --scripts) followed by grub2-mkconfig 'cured' the problem for me to regenerate and configure the initramfs file for the 3.1 kernel.

I don't know why the upgrade itself failed though.

This was on a virtual machine, once disk, msdos partition, "physical" boot partion + lvm virtual host.
Comment 4 aaronsloman 2012-03-26 19:07:51 EDT
(In reply to comment #3)
> I had the same symptoms on my upgrade.  I did a preupgrade script upgrade, but
> for some reason I was left without an initramfs file.
> 
> Extracting the script line from the package (rpm -q kernel-VERSION --scripts)
> followed by grub2-mkconfig 'cured' the problem for me to regenerate and
> configure the initramfs file for the 3.1 kernel.
> 
> I don't know why the upgrade itself failed though.

I suspect that this is yet another symptom of seriously buggy code in grubby which causes the wrong root UUID to be inserted in /boot/grub2/grub.cfg for the updated kernel. A typical report of this is bug #751875

I suspect many obscure/undiagnosed bug reports after kernel upgrade have this source: it was only after struggling in vain for some time that I happened to discover that the wrong UUID had been inserted for root partition when I used 'yum updated kernel'. Since then it has happened every time, and I then have to edit the /boot/grub2/grub.cfg menu to fix the UUID for root. It leaves the older menu entries unchanged, but selects the UUID for a partition I had previously used for root in fedora 15. In this situation I suspect most users never discover the cause of their inability to boot into a new kernel, not least because the UUID will not be immediately recognisable as wrong.
Comment 5 Fedora End Of Life 2013-01-16 11:56:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:09:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.